=== utils/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Binaries
 
 add_executable(powercap-info powercap-info.c util-common.c)
@@ -14,5 +16,5 @@
 
 # Install
 
-install(TARGETS powercap-info powercap-set rapl-info rapl-set DESTINATION bin)
-install(DIRECTORY man/ DESTINATION share/man)
+install(TARGETS powercap-info powercap-set rapl-info rapl-set DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(DIRECTORY man/ DESTINATION ${CMAKE_INSTALL_MANDIR})
