=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Connor Imes <ckimes@ubuntu.com>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake
-Standards-Version: 4.1.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://github.com/connorimes/powercap/tree/debian
 Vcs-Git: https://github.com/connorimes/powercap.git -b debian
 Homepage: https://github.com/powercap/powercap
+Rules-Requires-Root: no
 
 Package: powercap-utils
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpowercap0 (= ${binary:Version})
@@ -21,7 +22,7 @@
  set for managing Intel RAPL implementations.
 
 Package: libpowercap0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
@@ -34,7 +35,7 @@
  power zones.
 
 Package: libpowercap-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends},
