## powercap 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 2.8.5)
+cmake_minimum_required(VERSION 2.8.12)
 
 project(powercap)
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 2)
-set(VERSION_PATCH 0)
+set(VERSION_MINOR 3)
+set(VERSION_PATCH 1)
 set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -std=c99 -D_GNU_SOURCE")
@@ -13,9 +13,7 @@
 include(GNUInstallDirs)
 
 # See powercap-common.h for enumeration
-set(POWERCAP_LOG_LEVEL 2 CACHE STRING "Set the log level: 0=DEBUG, 1=INFO, 2=WARN (default), 3=ERROR, 4=OFF")
-
-include_directories(${PROJECT_SOURCE_DIR}/inc)
+set(POWERCAP_LOG_LEVEL 4 CACHE STRING "Set the log level: 0=DEBUG, 1=INFO, 2=WARN, 3=ERROR, 4=OFF (default)")
 
 add_subdirectory(utils)
 
@@ -26,6 +24,8 @@
                      src/powercap-rapl.c
                      src/powercap-rapl-sysfs.c
                      src/powercap-common.c)
+target_include_directories(powercap PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/inc>
+                                           $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}>)
 target_compile_definitions(powercap PRIVATE POWERCAP_LOG_LEVEL=${POWERCAP_LOG_LEVEL})
 if (BUILD_SHARED_LIBS)
   set_target_properties(powercap PROPERTIES VERSION ${PROJECT_VERSION}
@@ -33,6 +33,9 @@
 endif()
 
 # Tests
+
+add_executable(powercap-common-test test/powercap-common-test.c src/powercap-common.c)
+target_include_directories(powercap-common-test PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/inc)
 
 add_executable(powercap-test test/powercap-test.c)
 target_link_libraries(powercap-test powercap)
@@ -48,6 +51,7 @@
   add_test(${target} ${EXECUTABLE_OUTPUT_PATH}/${target})
 endmacro(add_unit_test)
 
+add_unit_test(powercap-common-test)
 add_unit_test(powercap-test)
 # Requires a real system with root privileges
 # add_unit_test(powercap-rapl-test)
@@ -69,11 +73,38 @@
   ${CMAKE_CURRENT_BINARY_DIR}/pkgconfig/powercap.pc
 )
 
+# CMake package helper
+
+include(CMakePackageConfigHelpers)
+
+set(POWERCAP_CMAKE_CONFIG_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/powercap)
+set(CONFIG_TARGETS_FILE PowercapTargets.cmake)
+
+configure_package_config_file(
+  ${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
+  ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfig.cmake
+  INSTALL_DESTINATION ${POWERCAP_CMAKE_CONFIG_DIR}
+)
+
+write_basic_package_version_file(
+  ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfigVersion.cmake
+  VERSION ${PROJECT_VERSION}
+  COMPATIBILITY SameMajorVersion
+)
+
 # Install
 
-install(TARGETS powercap DESTINATION ${CMAKE_INSTALL_LIBDIR})
+set(POWERCAP_CMAKE_CONFIG_INSTALL OFF CACHE BOOL "Install cmake package helpers (experimental)")
+
+install(TARGETS powercap EXPORT PowercapTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES inc/powercap.h inc/powercap-sysfs.h inc/powercap-rapl.h inc/powercap-rapl-sysfs.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
 install(DIRECTORY ${CMAKE_BINARY_DIR}/pkgconfig/ DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+if(POWERCAP_CMAKE_CONFIG_INSTALL)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfig.cmake
+                ${CMAKE_CURRENT_BINARY_DIR}/PowercapConfigVersion.cmake
+          DESTINATION ${POWERCAP_CMAKE_CONFIG_DIR})
+  install(EXPORT PowercapTargets FILE PowercapTargets.cmake DESTINATION ${POWERCAP_CMAKE_CONFIG_DIR})
+endif()
 
 # Uninstall
