=== debian/changelog ===
powercap (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix unit test error on ppc64el architecture.

 -- Connor Imes <ckimes@ubuntu.com>  Sun, 08 Nov 2020 13:29:31 -0500

powercap (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Connor Imes <ckimes@ubuntu.com>  Sat, 19 Sep 2020 12:47:22 -0400
