=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: Connor Imes <ckimes@ubuntu.com>
 Section: admin
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/connorimes/powercap/tree/debian
 Vcs-Git: https://github.com/connorimes/powercap.git -b debian
 Homepage: https://github.com/powercap/powercap
