=== debian/watch ===
version=4
https://github.com/powercap/powercap/releases (?:.*?/)?v([\d.]+)\.tar\.gz
