=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/powercap-$1\.tar\.gz/ \
  https://github.com/powercap/powercap/tags .*/v?(\d\S+)\.tar\.gz
