## powercap 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.12)
 
-project(powercap VERSION 0.5.0
+project(powercap VERSION 0.6.0
                  LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)
